Bug 13524 - [S60] NUPA-729B2V: WCSS dotted HORIZONTAL RULES not displaying at all
Summary: [S60] NUPA-729B2V: WCSS dotted HORIZONTAL RULES not displaying at all
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 523.x (Safari 3)
Hardware: S60 Emulator S60 3rd edition
: P2 Critical
Assignee: Wei Liu
URL: http://http://waplabdc.nokia-boston.c...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-27 08:52 PDT by Wei Liu
Modified: 2011-03-21 11:53 PDT (History)
0 users

See Also:


Attachments
Patch fix in RenderObject::drawBorder, 3.1 branch only please. (1.16 KB, patch)
2007-04-27 09:04 PDT, Wei Liu
zalan: review-
Details | Formatted Diff | Diff
3.1 branch fix for both dotted and dashed case (1.48 KB, patch)
2007-04-27 12:10 PDT, Wei Liu
zalan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wei Liu 2007-04-27 08:52:15 PDT
http://http://waplabdc.nokia-boston.com/browser/users/chereddy/otc_tests/6_800_5800.html

There are dotted HR (5th and 6th) which are not displayed by S60 browser at all.
Comment 1 Wei Liu 2007-04-27 09:04:55 PDT
Created attachment 14228 [details]
Patch fix in RenderObject::drawBorder, 3.1 branch only please.

Zalan, this bug is 3.1 only. Please check into 3.1 branch, thanks.
Comment 2 zalan 2007-04-27 10:27:02 PDT
Comment on attachment 14228 [details]
Patch fix in RenderObject::drawBorder, 3.1 branch only please.

it was already addressed by 
http://bugs.webkit.org/show_bug.cgi?id=11714
in ccb.
Comment 3 Wei Liu 2007-04-27 10:42:39 PDT
Fix in 11714 was a hack it convert 0 width to 1, and it's not merged to 3.1. 
The root problem of dotted border is, in RenderObject::drawBorder, it set changes the width from 1->0 when set the pen. So the fix should be in RenderObject, instead of in KWQPainter.
Comment 4 Wei Liu 2007-04-27 12:10:33 PDT
Created attachment 14232 [details]
3.1 branch fix for both dotted and dashed case
Comment 5 Wei Liu 2007-04-27 12:11:45 PDT
Please check into 3.1 only, thanks.
Comment 6 zalan 2007-04-27 13:08:51 PDT
r21151 -> 3.1m
Comment 7 zalan 2007-05-04 10:08:19 PDT
Comment on attachment 14232 [details]
3.1 branch fix for both dotted and dashed case

r=me
Comment 8 Bradley Morrison 2008-04-09 11:39:43 PDT
Bulk closing of all s60 platform bugs. 

Sorry for the noise!
Comment 9 Joel Parks 2011-03-21 11:53:25 PDT
re-purposing InTSW keyword for use by QtWebkit team